appium - appium无法识别所需的功能

appium - appium无法识别所需的功能,第1张

我希望的代码功能如下所示:

.footer .footer-contact-list li span {
  height: 30px;
  width: 30px;
  border-radius: 50%;
  background: #a32020;
  display: inline-block;
  margin: 0 5px 0 0;
  position: relative;
  vertical-align: middle;
  margin: 5px;
}

我的appium服务器调试信息显示在以下行:

DesiredCapabilities capabilities = new DesiredCapabilities();
    capabilities.setCapability(MobileCapabilityType.VERSION, "4.4.2");
    capabilities.setCapability(MobileCapabilityType.PLATFORM_NAME,
        "Android");
    capabilities.setCapability(MobileCapabilityType.DEVICE_NAME,
        "Android emulator");
capabilities
        .setCapability(MobileCapabilityType.BROWSER_NAME, "Browser");
    try {
        driver = new AndroidDriver(new URL("http://127.0.0.1:4723/wd/hub"),
            capabilities);
    } catch (MalformedURLException e) {
        e.printStackTrace();
    }
driver.navigate().to("http://google.com");

注意:我的AVD启动时具有相同的所需功能。它仍然显示相同的消息。浏览器随机打开了一个已经启动的AVD。

提前致谢。

最佳答案:

1 个答案:

答案 0 :(得分:0)

请更改capabilities.setCapability(MobileCapabilityType.VERSION, "4.4.2");

capabilities.setCapability(MobileCapabilityType.VERSION, "1.1.0");

请确认您的模拟器名称是“Android模拟器”,而不是其他内容。

此外,我没有看到APP_PACKAGE和APP_ACTIVITY功能。

本文经用户投稿或网站收集转载,如有侵权请联系本站。

发表评论

0条回复